library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_misc.all;
use ieee.std_logic_arith.all;

entity cq_max10_led_sample is
    port
    (
        CLK_50MHZ_I : in std_logic; -- 50MHz Input
        SW_NI : in std_logic;
        LED_NO : out std_logic_vector(1 downto 0)
    );
end entity;

architecture rtl of cq_max10_led_sample is
    signal r_clk_cnt : std_logic_vector(25 downto 0) := (others => '0');

begin
    LED_NO(1) <= SW_NI;
    LED_NO(0) <= r_clk_cnt(25); -- 0.67秒毎にLEDを点滅させる

    process(CLK_50MHZ_I)
    begin
        if rising_edge(CLK_50MHZ_I) then
            r_clk_cnt <= r_clk_cnt + 1;
        end if;
    end process;
end;
